%define majorminor  1.0_0
%define gstreamer   gstreamer1.0
%define gst_minver  0.11.0
%define gst_majorminor  1.0

Name: 		%{gstreamer}-libav
Version: 	1.14.0
Release:	%mkrel 1
Summary: 	GStreamer Streaming-media framework plug-in using libav (FFmpeg).
Group: 		System/Libraries
License: 	LGPL
URL:		http://gstreamer.net/
Source:		http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg/gst-libav-%{version}.tar.xz
Patch1:  	gst-libav-1.4.3-audenc-segfault.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  	%{_lib}gstreamer%{majorminor} >= %{version}
#-------------------------------------------------------------------
BuildRequires:	automake >= 1.14
BuildRequires: 	%{_lib}gstreamer1.0-devel
BuildRequires: 	%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:	%{_lib}ffmpeg-devel
#-------------------------------------------------------------------

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the libav (formerly FFmpeg) codecs, containing codecs for most popular
multimedia formats.

%prep
%setup -q -n gst-libav-%{version}
%apply_patches

%build
# get rid of the bundled libav
rm -rf gst-libs/ext/libav
# fool configure to see a bundled libav/ffmpeg
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure


# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

sed -i 's/>= 57/>= 56/g'  configure

%configure2_5x \
  --disable-static \
  --with-package-origin='http://www.pclinuxos.com/' \
  --with-system-libav \
  --disable-fatal-warnings

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf %buildroot/%{_datadir}/gtk-doc
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README gst-libav.doap
%{_libdir}/gstreamer-%{gst_majorminor}/libgstlibav.so

%changelog
* Sat Mar 24 2018 bb2 <bb2> - 1.14.0-1pclos2018
- new version

* Sun Dec 17 2017 bb2 <bb2> - 1.12.4-1pclos2017
- new version

* Fri Oct 20 2017 bb2 <bb2> - 1.12.3-1pclos2017
- new version

* Wed Jul 19 2017 bb2 <bb2> - 1.12.2-1pclos2017
- new version

* Wed Jun 21 2017 bb2 <bb2> - 1.12.1-1pclos2017
- new version

* Thu May 04 2017 bb2 <bb2> - 1.12.0-1pclos2017
- new version

* Wed Mar 08 2017 bb2 <bb2> - 1.10.4-2pclos2017
- rebuild for new ffmpeg

* Thu Feb 23 2017 bb2 <bb2> - 1.10.4-1pclos2017
- new version

